package com.dji.sdk.cloudapi.psdk;

import com.dji.sdk.common.BaseModel;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * Speaker play volume set request
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public class SpeakerPlayVolumeSetRequest extends BaseModel {

    /**
     * PSDK payload device index (0-3)
     */
    @NotNull
    @Min(0)
    @Max(3)
    private Integer psdkIndex;

    /**
     * Play volume (0-100)
     */
    @NotNull
    @Min(0)
    @Max(100)
    private Integer playVolume;

    public SpeakerPlayVolumeSetRequest() {
    }

    @Override
    public String toString() {
        return "SpeakerPlayVolumeSetRequest{" +
                "psdkIndex=" + psdkIndex +
                ", playVolume=" + playVolume +
                '}';
    }

    public Integer getPsdkIndex() {
        return psdkIndex;
    }

    public SpeakerPlayVolumeSetRequest setPsdkIndex(Integer psdkIndex) {
        this.psdkIndex = psdkIndex;
        return this;
    }

    public Integer getPlayVolume() {
        return playVolume;
    }

    public SpeakerPlayVolumeSetRequest setPlayVolume(Integer playVolume) {
        this.playVolume = playVolume;
        return this;
    }
}
